import type { HttpOptions } from '@apollo/client';
import type { Operation, FetchResult } from '@apollo/client/core';
import { ApolloLink, Observable } from '@apollo/client/core';
import type { ClientOptions } from 'graphql-sse';
interface SSELinkOptions extends Partial<ClientOptions> {
    url: string;
    auth: {
        authProviderType: string;
        tokenFn: () => Promise<null | string>;
    };
    httpLinkConfig?: HttpOptions;
    headers?: Record<string, string>;
}
/**
 * GraphQL over Server-Sent Events (SSE) spec link for Apollo Client
 */
export declare class SSELink extends ApolloLink {
    private client;
    constructor(options: SSELinkOptions);
    request(operation: Operation): Observable<FetchResult>;
}
export {};
//# sourceMappingURL=sseLink.d.ts.map