#!/usr/bin/env node
"use strict";

var _module = require("module");
// We do not install storybook by default, so we need to check if it is
// installed before we try to run it.
try {
  const requireFromStorybook = (0, _module.createRequire)(require.resolve('storybook/package.json'));
  const bins = requireFromStorybook('./package.json')['bin'];
  requireFromStorybook(bins['storybook']);
} catch (error) {
  if (error.code === 'MODULE_NOT_FOUND') {
    console.error('Storybook is not currently installed.');
    process.exit(1);
  }
  throw error;
}