import React from 'react';
import type { UseAuth } from '@redwoodjs/auth';
export declare const getApiGraphQLUrl: () => string;
export interface FetchConfig {
    uri: string;
    headers?: {
        'auth-provider'?: string;
        authorization?: string;
    };
}
export declare const FetchConfigContext: React.Context<FetchConfig>;
interface Props {
    useAuth?: UseAuth;
    children: React.ReactNode;
}
/**
 * The `FetchConfigProvider` understands Redwood's Auth and determines the
 * correct request-headers based on a user's authentication state.
 * Note that the auth bearer token is now passed in packages/web/src/apollo/index.tsx
 * as the token is retrieved async
 */
export declare const FetchConfigProvider: React.FC<Props>;
export declare const useFetchConfig: () => FetchConfig;
export {};
//# sourceMappingURL=FetchConfigProvider.d.ts.map